/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package mv3302;

import simkit.Entity;

/**
 *Class represents a customer in a simulation. Assigns the customer with a respective 
 * serviceTime and renegeTime
 */
public class Customer extends Entity {
    
    private double serviceTime;
    
    private double renegeTime;
    
    /**
     * constructor method that assigns values of serviceTime and renegeTime to each customer
     * @param serviceTime
     * @param renegeTime
     */
    public Customer(double serviceTime, double renegeTime) {
        super("Customer");
        this.serviceTime = serviceTime;
        this.renegeTime = renegeTime;
    }

    /**
     * @return the serviceTime
     */
    public double getServiceTime() {
        return serviceTime;
    }

    /**
     * @return the renegeTime
     */
    public double getRenegeTime() {
        return renegeTime;
    }
    
    /**
     * returns toString method with serviceTime and renegeTime
     */
    @Override
    public String toString() {
        return String.format("%s %,.4f %,.4f", super.toString(), serviceTime, renegeTime);
    }
    
}