/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Main.java to edit this template
 */
package mv3302.run;

import mv3302.ArrivalProcess;
import simkit.Schedule;
import simkit.random.RandomVariateFactory;
import simkit.util.SimplePropertyDumper;

/**
 * Class runs and tests methods associated with the functioning of the
 * ArrivalProcess class
 *
 * @author dansl
 */
public class RunArrivalProcess {

    /**
     * main class starts the program to check functionality
     *
     * @param args the command line arguments
     */
    public static void main(String[] args) {

        //hard codes the Exponential value for the time to 3.2
        var interarrivalTimeGenerator = RandomVariateFactory.getInstance("Exponential", 3.2);
        //Initiates the Arrival Process based on the generated time value
        ArrivalProcess arrivalProcess = new ArrivalProcess(interarrivalTimeGenerator);
        System.out.println(arrivalProcess);

        //Programs the schedule to stop at the 15 second mark 
        Schedule.stopAtTime(15.0);
        Schedule.setVerbose(true);

        Schedule.reset();
        Schedule.startSimulation();

        //Prints finalized counts based on the simulation run time
        System.out.println("At time " + Schedule.getSimTime() + " there have been " + arrivalProcess.getNumberArrivals() + " arrivals");

        SimplePropertyDumper simplePropertyDumper = new SimplePropertyDumper();
        arrivalProcess.addPropertyChangeListener(simplePropertyDumper);

    }

}
